org.eclipse.graphiti.features.context.impl

## Class MoveBendpointContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.LocationContext
      - - org.eclipse.graphiti.features.context.impl.MoveContext
        - - org.eclipse.graphiti.features.context.impl.MoveBendpointContext

All Implemented Interfaces:
  IBendpointContext, IContext, ILocationContext, IMoveBendpointContext, IMoveContext, IPropertyBag

    public class MoveBendpointContext
    extends MoveContext
    implements IMoveBendpointContext

The Class MoveBendpointContext.

### Constructor Summary

Constructors
Constructor and Description
`MoveBendpointContext(Point bendpoint)` Creates a new `MoveBendpointContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Point` `getBendpoint()` Gets the bendpoint.
`int` `getBendpointIndex()` Gets the bendpoint index.
`FreeFormConnection` `getConnection()` Gets the connection.
`void` `setBendpointIndex(int bendpointIndex)` Sets the bendpoint index.
`void` `setConnection(FreeFormConnection freeFormConnection)` Sets the connection.
`String` `toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### MoveBendpointContext

    public MoveBendpointContext(Point bendpoint)

Creates a new `MoveBendpointContext`.

Parameters:
  `bendpoint` - the bendpoint

### Method Detail

#### getBendpoint

    public Point getBendpoint()

Gets the bendpoint.

Specified by:
  `getBendpoint` in interface `IBendpointContext`
Returns:
  Returns the bendpoint.

#### getBendpointIndex

    public int getBendpointIndex()

Description copied from interface: `IBendpointContext`
Gets the bendpoint index.

Specified by:
  `getBendpointIndex` in interface `IBendpointContext`
Returns:
  the bendpoint index

#### getConnection

    public FreeFormConnection getConnection()

Description copied from interface: `IBendpointContext`
Gets the connection.

Specified by:
  `getConnection` in interface `IBendpointContext`
Returns:
  the connection

#### setBendpointIndex

    public void setBendpointIndex(int bendpointIndex)

Sets the bendpoint index.

Parameters:
  `bendpointIndex` - the new bendpoint index

#### setConnection

    public void setConnection(FreeFormConnection freeFormConnection)

Sets the connection.

Parameters:
  `freeFormConnection` - the new connection

#### toString

    public String toString()

Overrides:
  `toString` in class `LocationContext`